use crate::*;

pub fn rle_horizontal(_prev_frame: &Frame, encoded: &[u8]) -> Frame {
	let pixels = rle_255_decode(encoded);
	let mut frame = FRAME_0;
	let mut i = 0;
	for y in 0..HEIGHT {
		for x in 0..WIDTH {
			frame[x][y] = pixels[i];
			i += 1;
		}
	}
	frame
}

pub fn rle_vertical(_prev_frame: &Frame, encoded: &[u8]) -> Frame {
	let pixels = rle_255_decode(encoded);
	let mut frame = FRAME_0;
	let mut i = 0;
	for x in 0..WIDTH {
		for y in 0..HEIGHT {
			frame[x][y] = pixels[i];
			i += 1;
		}
	}
	frame
}

pub fn fill_white(_prev_frame: &Frame, _encoded: &[u8]) -> Frame {
	FRAME_1
}

pub fn fill_black(_prev_frame: &Frame, _encoded: &[u8]) -> Frame {
	FRAME_0
}
